| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
PrinterClassHost.c File Reference
`#include "../../Core/USBMode.h"`
`#include "PrinterClassHost.h"`

Go to the source code of this file.

## Functions
uint8_t | PRNT_Host_ConfigurePipes (USB_ClassInfo_PRNT_Host_t *const PRNTInterfaceInfo, uint16_t ConfigDescriptorSize, void *ConfigDescriptorData)
| Host interface configuration routine, to configure a given Printer host interface instance using the Configuration Descriptor read from an attached USB device. This function automatically updates the given Printer instance's state values and configures the pipes required to communicate with the interface if it is found within the device. This should be called once after the stack has enumerated the attached device, while the host state machine is in the Addressed state.
static uint8_t | DCOMP_PRNT_Host_NextPRNTInterface (void *CurrentDescriptor)
static uint8_t | DCOMP_PRNT_Host_NextPRNTInterfaceEndpoint (void *CurrentDescriptor)
void | PRNT_Host_USBTask (USB_ClassInfo_PRNT_Host_t *const PRNTInterfaceInfo)
| General management task for a given Printer host class interface, required for the correct operation of the interface. This should be called frequently in the main program loop, before the master USB management task USB_USBTask().
uint8_t | PRNT_Host_SetBidirectionalMode (USB_ClassInfo_PRNT_Host_t *const PRNTInterfaceInfo)
| Configures the printer to enable Bidirectional mode, if it is not already in this mode. This should be called once the connected device's configuration has been set, to ensure the printer is ready to accept commands.
uint8_t | PRNT_Host_GetPortStatus (USB_ClassInfo_PRNT_Host_t *const PRNTInterfaceInfo, uint8_t *const PortStatus)
| Retrieves the status of the virtual Printer port's inbound status lines. The result can then be masked against the `PRNT_PORTSTATUS_*` macros to determine the printer port's status.
uint8_t | PRNT_Host_SoftReset (USB_ClassInfo_PRNT_Host_t *const PRNTInterfaceInfo)
| Soft-resets the attached printer, readying it for new commands.
uint8_t | PRNT_Host_Flush (USB_ClassInfo_PRNT_Host_t *const PRNTInterfaceInfo)
| Flushes any data waiting to be sent, ensuring that the send buffer is cleared.
uint8_t | PRNT_Host_SendByte (USB_ClassInfo_PRNT_Host_t *const PRNTInterfaceInfo, const uint8_t Data)
| Sends a given byte to the attached USB device, if connected. If a device is not connected when the function is called, the byte is discarded. Bytes will be queued for transmission to the device until either the pipe bank becomes full, or the PRNT_Host_Flush() function is called to flush the pending data to the host. This allows for multiple bytes to be packed into a single pipe packet, increasing data throughput.
uint8_t | PRNT_Host_SendString (USB_ClassInfo_PRNT_Host_t *const PRNTInterfaceInfo, void *String)
| Sends the given null terminated string to the attached printer's input endpoint.
uint8_t | PRNT_Host_SendData (USB_ClassInfo_PRNT_Host_t *const PRNTInterfaceInfo, void *Buffer, const uint16_t Length)
| Sends the given raw data stream to the attached printer's input endpoint. This should contain commands that the printer is able to understand - for example, PCL data. Not all printers accept all printer languages; see PRNT_Host_GetDeviceID() for details on determining acceptable languages for an attached printer.
uint16_t | PRNT_Host_BytesReceived (USB_ClassInfo_PRNT_Host_t *const PRNTInterfaceInfo)
| Determines the number of bytes received by the printer interface from the device, waiting to be read. This indicates the number of bytes in the IN pipe bank only, and thus the number of calls to PRNT_Host_ReceiveByte() which are guaranteed to succeed immediately. If multiple bytes are to be received, they should be buffered by the user application, as the pipe bank will not be released back to the USB controller until all bytes are read.
int16_t | PRNT_Host_ReceiveByte (USB_ClassInfo_PRNT_Host_t *const PRNTInterfaceInfo)
| Reads a byte of data from the device. If no data is waiting to be read of if a USB device is not connected, the function returns a negative value. The PRNT_Host_BytesReceived() function may be queried in advance to determine how many bytes are currently buffered in the Printer interface's data receive pipe.
uint8_t | PRNT_Host_GetDeviceID (USB_ClassInfo_PRNT_Host_t *const PRNTInterfaceInfo, char *const DeviceIDString, const uint16_t BufferSize)
| Retrieves the attached printer device's ID string, formatted according to IEEE 1284. This string is sent as a Unicode string from the device and is automatically converted to an ASCII encoded C string by this function, thus the maximum reportable string length is two less than the size given (to accommodate the Unicode string length bytes which are removed).

## Function Documentation

static uint8_t DCOMP_PRNT_Host_NextPRNTInterface | ( | void * | CurrentDescriptor | ) |
| static

Definition at line 132 of file PrinterClassHost.c.

static uint8_t DCOMP_PRNT_Host_NextPRNTInterfaceEndpoint | ( | void * | CurrentDescriptor | ) |
| static

Definition at line 151 of file PrinterClassHost.c.